Package org.opensaml.saml.saml1.core

# Interface AuthenticationStatement

All Superinterfaces:
  `SAMLObject`, `Statement`, `SubjectStatement`, `XMLObject`

All Known Implementing Classes:
  `AuthenticationStatementImpl`

public interface AuthenticationStatement extends SAMLObject, SubjectStatement
This interface defines how the object representing a SAML1 `AuthenticationStatment` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHENTICATIONINSTANT_ATTRIB_NAME`
Name of the AuthenticationInstant attribute.
`static final QName`
`AUTHENTICATIONINSTANT_ATTRIB_QNAME`
QName of the AuthenticationInstant attribute.
`static final String`
`AUTHENTICATIONMETHOD_ATTRIB_NAME`
Name of the AuthenticationMethod attribute.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`HARDWARE_TOKEN_AUTHN_METHOD`
URI for Hardware Token authentication method.
`static final String`
`KERBEROS_AUTHN_METHOD`
URI for Kerberos authentication method.
`static final String`
`PASSWORD_AUTHN_METHOD`
URI for Password authentication method.
`static final String`
`PGP_AUTHN_METHOD`
URI for PGP authentication method.
`static final String`
`SPKI_AUTHN_METHOD`
URI for SPKI authentication method.
`static final String`
`SRP_AUTHN_METHOD`
URI for Secure Remote Password authentication method.
`static final String`
`TLS_CLIENT_AUTHN_METHOD`
URI for SSL/TLS Client authentication method.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`UNSPECIFIED_AUTHN_METHOD`
URI for unspecified authentication method.
`static final String`
`X509_AUTHN_METHOD`
URI for X509 Public Key authentication method.
`static final String`
`XKMS_AUTHN_METHOD`
URI for XKMS authentication method.
`static final String`
`XML_DSIG_AUTHN_METHOD`
URI for XML Digital Signature authentication method.

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getAuthenticationInstant()`
Return the contents of the AuthenticationInstant attribute.
`String`
`getAuthenticationMethod()`
Return the contents of the AuthenticationMethod attribute.
`List<AuthorityBinding>`
`getAuthorityBindings()`
Get the list of `AuthorityBinding`s.
`SubjectLocality`
`getSubjectLocality()`
Get the `SubjectLocality`.
`void`
`setAuthenticationInstant(Instant authenticationInstant)`
Set the contents of the AuthenticationInstant attribute.
`void`
`setAuthenticationMethod(String authenticationMethod)`
Set the contents of the AuthenticationMethod attribute.
`void`
`setSubjectLocality(SubjectLocality subjectLocality)`
Set the `SubjectLocality`.

### Methods inherited from interface org.opensaml.saml.saml1.core.SubjectStatement

`getSubject, setSubject`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### AUTHENTICATIONMETHOD_ATTRIB_NAME

@Nonnull @NotEmpty static final String AUTHENTICATIONMETHOD_ATTRIB_NAME
Name of the AuthenticationMethod attribute.

See Also:
  - Constant Field Values

### AUTHENTICATIONINSTANT_ATTRIB_NAME

@Nonnull @NotEmpty static final String AUTHENTICATIONINSTANT_ATTRIB_NAME
Name of the AuthenticationInstant attribute.

See Also:
  - Constant Field Values

### AUTHENTICATIONINSTANT_ATTRIB_QNAME

@Nonnull static final QName AUTHENTICATIONINSTANT_ATTRIB_QNAME
QName of the AuthenticationInstant attribute.

### KERBEROS_AUTHN_METHOD

@Nonnull @NotEmpty static final String KERBEROS_AUTHN_METHOD
URI for Kerberos authentication method.

See Also:
  - Constant Field Values

### HARDWARE_TOKEN_AUTHN_METHOD

@Nonnull @NotEmpty static final String HARDWARE_TOKEN_AUTHN_METHOD
URI for Hardware Token authentication method.

See Also:
  - Constant Field Values

### PASSWORD_AUTHN_METHOD

@Nonnull @NotEmpty static final String PASSWORD_AUTHN_METHOD
URI for Password authentication method.

See Also:
  - Constant Field Values

### X509_AUTHN_METHOD

@Nonnull @NotEmpty static final String X509_AUTHN_METHOD
URI for X509 Public Key authentication method.

See Also:
  - Constant Field Values

### PGP_AUTHN_METHOD

@Nonnull @NotEmpty static final String PGP_AUTHN_METHOD
URI for PGP authentication method.

See Also:
  - Constant Field Values

### SPKI_AUTHN_METHOD

@Nonnull @NotEmpty static final String SPKI_AUTHN_METHOD
URI for SPKI authentication method.

See Also:
  - Constant Field Values

### XKMS_AUTHN_METHOD

@Nonnull @NotEmpty static final String XKMS_AUTHN_METHOD
URI for XKMS authentication method.

See Also:
  - Constant Field Values

### XML_DSIG_AUTHN_METHOD

@Nonnull @NotEmpty static final String XML_DSIG_AUTHN_METHOD
URI for XML Digital Signature authentication method.

See Also:
  - Constant Field Values

### SRP_AUTHN_METHOD

@Nonnull @NotEmpty static final String SRP_AUTHN_METHOD
URI for Secure Remote Password authentication method.

See Also:
  - Constant Field Values

### TLS_CLIENT_AUTHN_METHOD

@Nonnull @NotEmpty static final String TLS_CLIENT_AUTHN_METHOD
URI for SSL/TLS Client authentication method.

See Also:
  - Constant Field Values

### UNSPECIFIED_AUTHN_METHOD

@Nonnull @NotEmpty static final String UNSPECIFIED_AUTHN_METHOD
URI for unspecified authentication method.

See Also:
  - Constant Field Values

## Method Details

### getAuthenticationMethod

@Nullable String getAuthenticationMethod()
Return the contents of the AuthenticationMethod attribute.

Returns:
  the authentication method

### setAuthenticationMethod

void setAuthenticationMethod(@Nullable String authenticationMethod)
Set the contents of the AuthenticationMethod attribute.

Parameters:
  `authenticationMethod` - the authentication method

### getAuthenticationInstant

@Nullable Instant getAuthenticationInstant()
Return the contents of the AuthenticationInstant attribute.

Returns:
  the authentication instant

### setAuthenticationInstant

void setAuthenticationInstant(@Nullable Instant authenticationInstant)
Set the contents of the AuthenticationInstant attribute.

Parameters:
  `authenticationInstant` - the authentication instant

### getSubjectLocality

@Nullable SubjectLocality getSubjectLocality()
Get the `SubjectLocality`.

Returns:
  the `SubjectLocality`

### setSubjectLocality

void setSubjectLocality(@Nullable SubjectLocality subjectLocality)
Set the `SubjectLocality`.

Parameters:
  `subjectLocality` - the `SubjectLocality`

### getAuthorityBindings

@Nonnull @Live List<AuthorityBinding> getAuthorityBindings()
Get the list of `AuthorityBinding`s.

Returns:
  the list of `AuthorityBinding`s